Loading...
Searching...
No Matches
Extended_simplex_type Class Reference
Filtered Complexes

Extended simplex type data structure for representing the type of simplices in an extended filtration. More...

`#include <gudhi/Simplex_tree.h>`

## Detailed Description

Extended simplex type data structure for representing the type of simplices in an extended filtration.

The extended simplex type can be either UP (which means that the simplex was present originally, and is thus part of the ascending extended filtration), DOWN (which means that the simplex is the cone of an original simplex, and is thus part of the descending extended filtration) or EXTRA (which means the simplex is the cone point).

Details may be found in [Cohen-Steiner2009] and section 2.2 in [Carriere16].

The documentation for this class was generated from the following file:

- include/gudhi/Simplex_tree.h